Recurring - Existing Recurring Purchase

Process an existing recurring credit/debit card purchase initially run using QorCommerce

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Parameters

The following parameters are available to process a recurring credit/debit card sale. This endpoint can only be used if QorCommerce processed the original (first) recurring payment.

parameterdescriptionrequired
midthe Merchant Id (MID) assigned by QorCommerce or your merchant service provider (MSP)Yes
toptType Of Payment Transaction - set a value to simply tag and/or route a transaction to a pre-defined provider.No
creditcardthe card number or account tokenYes
reference_idA reference id that will be echo'd back in the message response.No
amountthe total amount to processYes
service_chargethe amount of the total sum of this transaction that is made up of the service_chargeNo
cvvsupply the card validation value of the tokenized card for security purposesYes
currencyThe currency to process. Defaults to USD if no value providedNo
invoiceidthe merchant invoice id associated with the saleNo
orderidunique merchant order tracking numberYes
ipaddressThe IP address of the client or server sending the requestNo
cfirstnamethe customer first nameNo
clastnamethe customer last nameNo
cemailthe customer email addressNo
cphonethe customer phone numberNo
is_recurringis this a recurring transaction (default is 1)Yes
first_trxnoriginal transaction id of the first paymentYes
metadataa set of key-value pairs that you can attach to a payment. This can be useful for storing additional information about the payment in a structured format.No
JSON Example

The following JSON example provides test values to process a recurring sale. You can copy and paste these values in the Body Params section below to be used by the Try It feature

{
  "transaction_data":  {   
    "mid": "887728202",
    "amount": "1.5",
    "creditcard": "909055$asoCdcdt",
    "currency": "USD",
    "invoiceid": "INV-123332",
    "orderid": "193383",
    "ipaddress": "0.0.0.0",
    "bcountry": "US",
    "cfirstname": "Russell",
    "clastname": "Hanneman",
    "cemail": "[email protected]",
    "cphone": "1-344-877-8928",
    "cwebaddress": "example.com",
    "is_recurring": "1",
    "first_trxn": "{trxn_id}}"
  }
}
Body Params
transaction_data
object
required
Headers
string
required
length ≤ 24
Defaults to T6554252567241061980

The unique key identifying the app making this request.

NOTE: If testing use T6554252567241061980 for the Qor-App-Key header key.

string
required
Defaults to 01dffeb784c64d098c8c691ea589eb82

The Client key represents an authorized merchant account and is assigned by QorCommerce or your merchant service account provider.

NOTE: If testing use 01dffeb784c64d098c8c691ea589eb82 for the Qor-Client-Key header key.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json